Page MenuHomePhabricator

Allow IPv6 checks up to /32
Closed, ResolvedPublic

Description

T35734 resulted in a change from /64 to /48. However, considering that administrators are able to block IPv6 ranges of /32, but CheckUsers are only able to see /48, the limits should be normalized. This has been discussed a number of times amongst CheckUsers and Stewards, and there was has been wide support for this change.

I'm not a PHP coder, but I think that this simply requires a change of line 64 of CheckUser.php:

'IPv6'=>48,

to:

'IPv6'=>32,

Event Timeline

DoRD created this task.Apr 12 2015, 2:58 PM
DoRD raised the priority of this task from to Needs Triage.
DoRD updated the task description. (Show Details)
DoRD added a project: CheckUser.
DoRD added a subscriber: DoRD.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2015, 2:58 PM
Krenair set Security to None.
Krenair added a subscriber: Krenair.

The extension's code you've found just lets sites configure it easily... Given your references to stewards I'm going to assume this is really a Wikimedia site configuration change request.

DoRD added a comment.Apr 12 2015, 3:11 PM

The extension's code you've found just lets sites configure it easily... Given your references to stewards I'm going to assume this is really a Wikimedia site configuration change request.

Perhaps that is the case - I know how to use the tool, but I don't have a clue as to how to configure it. Thanks for the correction.

saper added a subscriber: saper.Apr 12 2015, 5:57 PM

I think we can change the global default in the CheckUser extension. This can be useful also for other
users of this extension.

saper added a comment.Apr 12 2015, 5:58 PM

Submitted gerrit change 203679

Mike_V added a subscriber: Mike_V.Apr 12 2015, 7:52 PM
Dereckson removed a subscriber: Mike_V.
Dereckson added subscribers: Dereckson, Mike_V.

Change 203679 had a related patch set uploaded (by saper):
Allow CheckUser for IPv6 ranges up to /32

https://gerrit.wikimedia.org/r/203679

Dereckson assigned this task to saper.Apr 13 2015, 12:33 AM
Dereckson triaged this task as Normal priority.
Dereckson moved this task from Backlog to Patches in review on the CheckUser board.

administrators are able to block IPv6 ranges of /32

Last time (earlier this week) I checked, it was /19.. so why not allow /19 instead?

Meno25 added a subscriber: Meno25.Jul 14 2015, 5:42 AM
saper added a comment.Aug 5 2015, 12:42 PM

Maybe returning data from /19 maybe too much on a busy range?

Yep, 32 is enough.

Change 203679 merged by jenkins-bot:
Allow CheckUser for IPv6 ranges up to /32

https://gerrit.wikimedia.org/r/203679

Krenair closed this task as Resolved.Sep 28 2015, 8:44 AM
Meno25 removed a subscriber: Meno25.Sep 30 2015, 11:56 AM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 9 2016, 8:56 AM